/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-08-01 15:32:38 UTC)
 * on 2013-08-06 at 21:15:08 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.siteVerification.model;

/**
 * Model definition for SiteVerificationWebResourceListResponse.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Site Verification API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-http-java-client/wiki/JSON">http://code.google.com/p/google-http-java-client/wiki/JSON</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class SiteVerificationWebResourceListResponse extends com.google.api.client.json.GenericJson {

  /**
   * The list of sites that are owned by the authenticated user.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<SiteVerificationWebResourceResource> items;

  /**
   * The list of sites that are owned by the authenticated user.
   * @return value or {@code null} for none
   */
  public java.util.List<SiteVerificationWebResourceResource> getItems() {
    return items;
  }

  /**
   * The list of sites that are owned by the authenticated user.
   * @param items items or {@code null} for none
   */
  public SiteVerificationWebResourceListResponse setItems(java.util.List<SiteVerificationWebResourceResource> items) {
    this.items = items;
    return this;
  }

  @Override
  public SiteVerificationWebResourceListResponse set(String fieldName, Object value) {
    return (SiteVerificationWebResourceListResponse) super.set(fieldName, value);
  }

  @Override
  public SiteVerificationWebResourceListResponse clone() {
    return (SiteVerificationWebResourceListResponse) super.clone();
  }

}
